org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryAuthFailedMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAuthFailedMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryAuthFailedMessage
    extends TcpDiscoveryAbstractMessage

Message telling joining node that its authentication failed on coordinator.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryAuthFailedMessage(UUID creatorNodeId, InetAddress addr)` Constructor.

### Method Summary

Methods
`InetAddress` `address()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, equals, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryAuthFailedMessage

    public TcpDiscoveryAuthFailedMessage(UUID creatorNodeId,
                                 InetAddress addr)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.
  `addr` - Coordinator address.

### Method Detail

#### address

    public InetAddress address()

Returns:
  Coordinator address.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015